.PHONY: all clean run

all: extension_messagerie.pdf

%.pdf: %.tex
	pdflatex $<

extension_messagerie.pdf: extension_messagerie.tex extension_messagerie.bbl use_case_messagerie.tex
	pdflatex extension_messagerie.tex

use_case_messagerie.tex: use_case_messagerie.uml
	plantuml -tlatex:nopreamble use_case_messagerie.uml

extension_messagerie.bbl: references.bib
	biber $<

clean:
	latexmk -C
	rm -f use_case_messagerie.tex
	rm -f extension_messagerie.{bbl,run.xml}

run: extension_messagerie.pdf
	xdg-open $<
